TICKIT_RENDERBUFFER_TRANSLATE(3)

NAME
tickit_renderbuffer_translate - move the base of output functions

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_translate(TickitRenderBuffer *rb, int downward, int rightward);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_translate() applies a translation to the co-ordinate system used by tickit_renderbuffer_goto(3) and the _at-suffixed absolute-position drawing functions, and returned by tickit_renderbuffer_get_cursorpos(3).

To undo the effects of any of this functions, it should be used within nested pairs of calls to tickit_renderbuffer_save(3) and tickit_renderbuffer_restore(3). This function only affects the subsequent drawing operations; it do not affect existing stored content, nor the behaviour of tickit_renderbuffer_flush_to_term(3).

RETURN VALUE
These functions return no value.

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_clip(3), tickit_renderbuffer_mask(3), tickit_renderbuffer(7), tickit(7)